Skip to main content
GET
/
channels
/
{myshopifyDomain}
Get Channel
curl --request GET \
  --url https://unified-api.creatorcommerce.shop/channels/{myshopifyDomain} \
  --header 'x-channel-access-token: <api-key>'
{
  "channel": {
    "_id": "6997d1b29655870ce8359c45",
    "name": "nuuds",
    "handle": "nuuds",
    "isInstalled": true,
    "platform": "shopify",
    "shopify": {
      "shopId": "gid://shopify/Shop/6997d1b29655870ce8359c45",
      "myshopifyDomain": "nuuds-com.myshopify.com",
      "shopName": "nuuds"
    },
    "brandKit": {
      "title": "nuuds",
      "primaryColor": "#270803",
      "primaryDomain": "www.nuuds.com"
    },
    "features": {
      "isWebPixelEnabled": true,
      "isDefaultMessagingEnabled": false
    },
    "connectedIntegrations": [
      {
        "name": "Klaviyo",
        "handle": "klaviyo",
        "type": "esp",
        "isEnabled": true
      }
    ]
  }
}

Authorizations

x-channel-access-token
string
header
required

Channel or partner access token (x-channel-access-token or x-partner-access-token)

Path Parameters

myshopifyDomain
string
required
Example:

"cc-goaff-sandbox.myshopify.com"

Response

Channel retrieved

channel
object
required